org.apache.geode.cache.configuration

## Class RegionConfig.Entry

- java.lang.Object
- - org.apache.geode.cache.configuration.RegionConfig.Entry

- Enclosing class:
    RegionConfig

      public static class RegionConfig.Entry
      extends java.lang.Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="key">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <choice>
                         <element name="string" type="{http://geode.apache.org/schema/cache}string-type"/>
                         <element name="declarable" type="{http://geode.apache.org/schema/cache}declarable-type"/>
                       </choice>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="value">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <choice>
                         <element name="string" type="{http://geode.apache.org/schema/cache}string-type"/>
                         <element name="declarable" type="{http://geode.apache.org/schema/cache}declarable-type"/>
                       </choice>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RegionConfig.Entry.Key` Java class for anonymous complex type.
    `static class` | `RegionConfig.Entry.Value` Java class for anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected RegionConfig.Entry.Key` | `key`
    `protected RegionConfig.Entry.Value` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Entry()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RegionConfig.Entry.Key` | `getKey()` Gets the value of the key property.
    `RegionConfig.Entry.Value` | `getValue()` Gets the value of the value property.
    `void` | `setKey(RegionConfig.Entry.Key value)` Sets the value of the key property.
    `void` | `setValue(RegionConfig.Entry.Value value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### key

          protected RegionConfig.Entry.Key key

    - #### value

          protected RegionConfig.Entry.Value value

  - ### Constructor Detail

    - #### Entry

          public Entry()

  - ### Method Detail

    - #### getKey

          public RegionConfig.Entry.Key getKey()

      Gets the value of the key property.
      Returns:
        possible object is `RegionConfig.Entry.Key`

    - #### setKey

          public void setKey(RegionConfig.Entry.Key value)

      Sets the value of the key property.
      Parameters:
        `value` - allowed object is `RegionConfig.Entry.Key`

    - #### getValue

          public RegionConfig.Entry.Value getValue()

      Gets the value of the value property.
      Returns:
        possible object is `RegionConfig.Entry.Value`

    - #### setValue

          public void setValue(RegionConfig.Entry.Value value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `RegionConfig.Entry.Value`